質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.83%

Unity→OculusGoのビルドエラー"UnityEditor.BuildPlayerWindow+BuildMethodException"について

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,499

amber_snob

score 30

OculusGoのアプリ開発をしているのですが、
以下のようなエラーが出てビルドできません。
イメージ説明

UnityEditor.BuildPlayerWindow+BuildMethodException: 3 errors

at UnityEditor.BuildPlayerWindow+DefaultBuildMethods.BuildPlayer (UnityEditor.BuildPlayerOptions options) [0x00242] in C:\buildslave\unity\build\Editor\Mono\BuildPlayerWindowBuildMethods.cs:194 

at UnityEditor.BuildPlayerWindow.CallBuildMethods (System.Boolean askForBuildLocation, UnityEditor.BuildOptions defaultBuildOptions) [0x0007f] in C:\buildslave\unity\build\Editor\Mono\BuildPlayerWindowBuildMethods.cs:97 
UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr)

解決するために以下のサイトを参考にしました

Unityビルド時にAndroidSDKToolsException_エラー

どうやらSDKのバージョンが最新でないことが原因だと指摘されているのですが、
AndroidStudioを確認したところ、
最新のバージョンであるAndroid 9.0をインストールしています。
イメージ説明

他に原因が見当たらないのでよろしければ解決法を教えていただきたいです。

PCはwindows10です。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

「UnityEditor.BuildPlayerWindow+BuildMethodException」は様々な原因で発生するエラーです。
今回の場合、上2つ(OpenDiveSensor.csで出ているやつ)のエラーが出ているためにビルド出来ないのが原因ではないかなと思います。

現行のUnityのバージョンでは、Networkクラスは削除されているので、以下を試してみてください。

  • OculusGoのSDKが最新ではないのであれば、それを最新にしてみる
  • Unityのバージョンを下げてみる
  • Networkクラスを使用している箇所を自前で(使用しないように)修正してみる

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/06/01 12:55

    マイナス評価を付けられましたが、もし私の回答で解決しないのであれば、その旨をコメント欄に記載してください。

    キャンセル

  • 2019/06/02 15:24

    fiveHundredさん、返信ありがとうございます。問題は解決しました。
    上の2行が問題だったようなので、すでに削除されていたNetworkクラスの部分をコメントアウトしたら、
    正常にビルドできました。
    それと、マイナス評価をつけたのは私ではないです。

    キャンセル

0

OculusGo(Questも)のandroidバージョンは7.1です。
File > BuildSetting > Player Settings > OtherSettings で、MinimumApiLevelを7.0(Lv24)か7.1(Lv25)に設定する必要があります。

ゼロから環境を整えてビルドしたものを実機で動すまでの手順メモがあるので参考にしてください。
OculusGoの開発環境を整える方法 2019年5月版

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.83%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る